# Uses of Class
org.eclipse.birt.chart.render.DeferredCache

Packages that use DeferredCache
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of DeferredCache in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return DeferredCache
Modifier and Type
Method
Description
`DeferredCache`
WrappedInstruction.`getSubDeferredCache()`
Returns instance of sub-deferred cache.
Methods in org.eclipse.birt.chart.event with parameters of type DeferredCache
Modifier and Type
Method
Description
`void`
WrappedInstruction.`setSubDeferredCache(DeferredCache dc)`
Set sub-deferred cache instance.
Constructors in org.eclipse.birt.chart.event with parameters of type DeferredCache
Modifier
Constructor
Description
``
`MarkerInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction, double iMarkerSize, int zOrder)`
``
`WrappedInstruction(DeferredCache dc, ArrayList alEvents, int iInstruction)`
``
`WrappedInstruction(DeferredCache dc, ArrayList alEvents, int iInstruction, long zorder)`
The constructor.
``
`WrappedInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction)`
``
`WrappedInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction, long zorder)`
The constructor.

## Uses of DeferredCache in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return DeferredCache
Modifier and Type
Method
Description
`DeferredCache`
DeferredCacheManager.`createDeferredCache(BaseRenderer br, int cacheIndex)`
Create `DeferredCache` instance for current series.
`DeferredCache`
DeferredCache.`deriveNewDeferredCache()`
Create a new instance of `DeverredCache` according to current device render and chart model.
`final DeferredCache`
BaseRenderer.`getDeferredCache()`
`DeferredCache`
DeferredCacheManager.`getFirstDeferredCache()`
Returns first `DeferredCache` instance.
`DeferredCache`
DeferredCacheManager.`getLastDeferredCache()`
Returns last `DeferredCache` instance.
`DeferredCache`
DeferredCache.`getParentDeferredCache()`
Methods in org.eclipse.birt.chart.render with parameters of type DeferredCache
Modifier and Type
Method
Description
`static void`
AxesRenderHelper.`addLine3DEvent(Line3DRenderEvent lre3d, Object parentEvent, DeferredCache dc)`
Adds Line2D event to deferred cache, if parent event is specified, this event should be added into parent event.
`int`
DeferredCache.`compareTo(DeferredCache other)`
`void`
DeferredCacheManager.`process3DEvent(DeferredCache deferredCache, Engine3D engine, double xOffset, double yOffset)`
Pre-process all the 3D rendering events.
`final void`
BaseRenderer.`renderLabel(Object oSource, int iTextRenderType, Label laDataPoint, Position lp, Location lo, Bounds bo, DeferredCache _dc)`
Renderer label with specified `DeferredCache`.
`void`
BaseRenderer.`set(DeferredCache _dc)`
Sets the deferred cache used by current renderer.
`void`
DeferredCache.`setParentDeferredCache(DeferredCache dc)`
Constructors in org.eclipse.birt.chart.render with parameters of type DeferredCache
Modifier
Constructor
Description
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.